Bug 1918455 - package ansible-qdr-config
Summary: package ansible-qdr-config
Keywords:
Status: POST
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-WALLABY
TreeView+ depends on / blocked
 
Reported: 2021-01-20 18:27 UTC by Emma Foley
Modified: 2021-02-10 08:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
ykarel: rdo-review+


Attachments (Terms of Use)

Description Emma Foley 2021-01-20 18:27:21 UTC
Description of problem:

This is a request for a new rpm for the collectd-qdr-ansible-role [1], which is required for deploying qdr in tripleo with ansible.

Currently the addition of this service in tripleo-heat-templates is WIP [2]
The change in THT will depend on the tripleo-qdr-ansible-role [3] which will eventually become part of tripleo_ansible, and depends on [1]. 

[1] is what requires packaging. A spec file is located at [4] 

[1] https://github.com/infrawatch/qdr-config-ansible-role
[2] https://github.com/csibbitt/tripleo-heat-templates/blob/csibbitt-1111-refactor-for-multinode/deployment/metrics/qdr-container-ansible.yaml
[3] https://github.com/infrawatch/tripleo-qdr-ansible-role
[4] https://github.com/infrawatch/qdr-config-ansible-role/blob/master/qdr-config-ansible-role.spec


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alfredo Moralejo 2021-01-21 08:59:21 UTC
licensecheck result:

$ licensecheck -r .
./.ansible-lint: *No copyright* UNKNOWN
./LICENSE: Apache License 2.0 GENERATED FILE
./README.md: *No copyright* UNKNOWN
./qdr-config-ansible-role.spec: *No copyright* UNKNOWN
./build_tools/README.rst: *No copyright* UNKNOWN
./build_tools/build_rpms.sh: *No copyright* UNKNOWN
./handlers/main.yml: *No copyright* UNKNOWN
./meta/main.yml: *No copyright* UNKNOWN
./tasks/main.yml: *No copyright* UNKNOWN
./templates/qdrouterd.conf.j2: *No copyright* UNKNOWN
./tests/inventory: *No copyright* UNKNOWN
./tests/test.yml: *No copyright* UNKNOWN
./vars/main.yml: *No copyright* UNKNOWN
./.github/workflows/main.yml: *No copyright* UNKNOWN
./.github/workflows/rpm.yml: *No copyright* UNKNOWN
./defaults/main/main.yml: *No copyright* UNKNOWN
./molecule/common/Dockerfile.j2: *No copyright* UNKNOWN
./molecule/common/prepare.yml: *No copyright* UNKNOWN
./molecule/common/requirements.yml: *No copyright* UNKNOWN
./molecule/common/verify.yml: *No copyright* UNKNOWN
./molecule/default/converge.yml: *No copyright* UNKNOWN
./molecule/default/molecule.yml: *No copyright* UNKNOWN
./molecule/default/verify.yml: *No copyright* UNKNOWN
./molecule/ssl/converge.yml: *No copyright* UNKNOWN
./molecule/ssl/molecule.yml: *No copyright* UNKNOWN
./molecule/ssl/verify.yml: *No copyright* UNKNOWN
./tests/kolla_config_files/config.json: *No copyright* UNKNOWN

License is valid ASL 2.0.

i think a better package name would be ansible-role-qdr-config, it'd be more consistent with current ansible role names packages in RDO (although we have not been very consistent with ansible roles naming):

ansible-config_template-1.1.1-1.el8
ansible-freeipa-0.1.8-2.el8
ansible-pacemaker-1.0.4-0.1.5847167git.el8
ansible-role-atos-hsm-0.1.0-2.e51c244git.el8
ansible-role-chrony-1.0.1-1.el8
ansible-role-container-registry-1.2.0-1.el8
ansible-role-lunasa-hsm-1.0.0-1.el8
ansible-role-openstack-operations-0.0.1-0.1.09e0e81git.el8
ansible-role-redhat-subscription-1.1.0-1.el8
ansible-role-thales-hsm-0.2.0-2.99b3d39git.el8
ansible-role-tripleo-modify-image-1.2.0-1.el8
tripleo-ansible-2.1.0-1.el8
ansible-tripleo-ipa-0.2.0-1.el8
ansible-tripleo-ipsec-9.3.0-1.el8

Also, consider create some tag release when the repo is ready to be used, please.


Please go on with next step of new packages process in https://www.rdoproject.org/documentation/add-packages/

Comment 2 Emma Foley 2021-01-28 11:53:13 UTC
Ack, I'll update the package name in the spec file

Comment 3 Emma Foley 2021-02-02 14:59:33 UTC
Step 2 in the new package process is WIP here: https://review.rdoproject.org/r/#/c/31792/

Comment 4 Emma Foley 2021-02-09 15:00:36 UTC
Step 3 in the new package process is WIP here: https://review.rdoproject.org/r/#/c/31824/

Comment 5 Yatin Karel 2021-02-10 08:36:31 UTC
Fedora review output is below:-

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "*No copyright* Creative Commons Attribution Public License (v4.0)".
     25 files have unknown license. Detailed output of licensecheck in
     /tmp/ansible-role-qdr-config/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version 0.0.1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-role-qdr-config-0.0.1-0.20210209200719.ac30519.el8.noarch.rpm
          ansible-role-qdr-config-0.0.1-0.20210209200719.ac30519.el8.src.rpm
ansible-role-qdr-config.noarch: W: spelling-error Summary(en_US) configs -> con figs, con-figs, configure
ansible-role-qdr-config.noarch: W: spelling-error %description -l en_US configs -> con figs, con-figs, configure
ansible-role-qdr-config.noarch: E: no-changelogname-tag
ansible-role-qdr-config.src: W: spelling-error Summary(en_US) configs -> con figs, con-figs, configure
ansible-role-qdr-config.src: W: spelling-error %description -l en_US configs -> con figs, con-figs, configure
ansible-role-qdr-config.src: E: no-changelogname-tag
ansible-role-qdr-config.src: W: invalid-url Source0: 0.0.1-0.20210209200719.ac30519.tar.gz
2 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
ansible-role-qdr-config.noarch: E: no-changelogname-tag
ansible-role-qdr-config.noarch: W: invalid-url URL: https://github.com/infrawatch/qdr-config-ansible-role <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
ansible-role-qdr-config (rpmlib, GLIBC filtered):
    /bin/sh
    python3dist(ansible)



Provides
--------
ansible-role-qdr-config:
    ansible-role-qdr-config

Following things noted but are exempted:-
- changelog, Source0 and %define are handled/used by package build tool DLRN.
- %check is not present for ansible-role as no unit tests available in source repo.


Package is Approved.


Note You need to log in before you can comment on or make changes to this bug.